Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.token
Class TokenIdentifier

    java.lang.Object
      org.apache.hadoop.security.token.TokenIdentifier

All Implemented Interfaces:
  Writable

Direct Known Subclasses:
  AbstractDelegationTokenIdentifier, JobTokenIdentifier

    public abstract class TokenIdentifier

extends Object
implements Writable

An identifier that identifies a token, may contain public information about a token, including its kind (or type).

Constructor Summary
`TokenIdentifier()`

Method Summary
`byte[]` | `getBytes()` Get the bytes for the token identifier
`abstract Text` | `getKind()` Get the token kind
`abstract UserGroupInformation` | `getUser()` Get the Ugi with the username encoded in the token identifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.io.Writable
`readFields, write`

Constructor Detail

### TokenIdentifier

    public TokenIdentifier()

Method Detail

### getKind

    public abstract Text getKind()

  Get the token kind

  Returns:
    the kind of the token

### getUser

    public abstract UserGroupInformation getUser()

  Get the Ugi with the username encoded in the token identifier

  Returns:
    the username. null is returned if username in the identifier is empty or null.

### getBytes

    public byte[] getBytes()

  Get the bytes for the token identifier

  Returns:
    the bytes of the identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation